Skip to main content
POST
/
v1
/
entities
/
{entityTypeName}
Create an Entity
curl --request POST \
  --url https://api.us.lexful.app/v1/entities/{entityTypeName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "organization_id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
  "first_name": "Jane",
  "last_name": "Smith",
  "title": "VP of Engineering",
  "important": false,
  "contact_type": "Influencer",
  "contact_methods": [
    {
      "type": "Email",
      "value": "jane.smith@example.com"
    }
  ],
  "preferred_contact_method": "Email",
  "visibility": "private"
}
'
{
  "id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
  "organization_id": "019983a9-c4bf-77da-a35b-5eb177b7b859",
  "organization_name": "Acme Corporation",
  "visibility": "inherit",
  "owned_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
  "name": "John Doe",
  "first_name": "John",
  "last_name": "Doe",
  "title": "CTO",
  "important": true,
  "contact_type": "Decision Maker",
  "contact_methods": [
    {
      "type": "Email",
      "value": "john.doe@example.com"
    },
    {
      "type": "Mobile",
      "value": "+1-555-0123"
    }
  ],
  "preferred_contact_method": "Email",
  "references": {
    "location": "019983a9-c4c1-7abc-def0-123456789abc"
  },
  "created_at": "2024-01-15T10:30:00.000Z",
  "updated_at": "2024-01-20T14:45:00.000Z",
  "created_by": "019983a9-c4c0-73af-aec9-463feeadc2e7",
  "updated_by": "019983a9-c4c0-73af-aec9-463feeadc2e7"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

entityTypeName
string
required

Entity type name

Body

application/json

Entity data (structure depends on entity type definition)

Entity data (structure depends on entity type definition)

organization_id
string<uuid>
required

Organization ID

visibility
enum<string>

Entity visibility (default: inherit)

Available options:
inherit,
private,
restricted
owned_by
string<uuid>

User ID of entity owner (defaults to creating user)

Response

Entity with dynamic properties from entity.data spread at root level

Entity with dynamic properties from entity.data spread at root level

id
string<uuid>

Entity unique identifier

organization_id
string<uuid>

Organization ID

organization_name
string

Organization name

visibility
enum<string>

Entity visibility setting

Available options:
inherit,
private,
restricted
owned_by
string<uuid>

User ID of entity owner

labels
object[]

Expanded labels (only present when expand=labels is used)

references
object

Entity references (IDs or expanded entities)

created_at
string<date-time>
updated_at
string<date-time>
created_by
string

User ID who created

updated_by
string

User ID who last updated